KJL - Support #1857

Perubahan Format Employee ID
12/06/2022 03:48 PM - Johanes Christian Kurni

Status: Closed Start date: 12/06/2022
Priority: High Due date:

Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mba Yoma,
Mohon bantuannya untuk format employee id berubah

dari yymmxxxx

yy = year tmk

mm = mount tmk

XXXX = sequence yg yy dan mm nya sama

di ubah menjadi

YYymmxxxx

yy = year tmk

mm =month tmk

XXXX = sequence dari keseluruhan

Port : http://45.251.75.66:31138/
ServerDB : 45.251.75.66
DB : MinovaES_KJL

Terima kasih

History

#1 - 12/06/2022 03:49 PM - Johanes Christian Kurni

- Status changed from New to Assigned

#2 - 12/07/2022 11:31 AM - Johanes Christian Kurni

- Tracker changed from Support to Feature

#3 - 12/07/2022 11:33 AM - Moch Alinafia

- Tracker changed from Feature to Support

XxxX = sequence di group pertahun

berlaku untuk fungsi import dan employee movement

#4 - 12/07/2022 02:07 PM - Johanes Christian Kurni

Ada tambahan untuk yang EmployeeSourcelD nya LPK Monas dimulai dari 0 dan tidak digabung dengan employee KJL. Ditambahkan kode di depan
employee ID sesuai pada table CHRPAEMPSOURCE contohnya:

CHRPAEMPSOURCE
02 LPK Monas

"02"00000001 = 0200000001
#5 - 12/09/2022 03:26 PM - Tri Rizqgiaty
- File GENEMPID_20221209.sql added

- File wizard.js added
- File GenEmplD.xlIsx added
http://45.251.75.66:31138/

- File CREATE CKJLEMPID.sql added

- Status changed from Assigned to Developing

Fixing :

1. Execute SP GENEMPID_20221209.sq| (file terlampir)

2. Udpate folder Ul\app\controller\wizard : wizard.js (file terlampir)

3. Update table2 sesuai excel terlampir

4. Create table baru untuk menyimpan LastID : CKJILEMPID (bisa execute query CREATE CKJLEMPID.sql terlampir)

#6 - 12/09/2022 03:26 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Johanes Christian Kurni

#7 - 12/13/2022 03:01 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed

Files

GENEMPID_20221209.sq! 3.19 KB 12/09/2022 Tri Rizqgiaty
wizard.js 114 KB 12/09/2022 Tri Rizqgiaty
GenEmplD.xlsx 11.5 KB 12/09/2022 Tri Rizgiaty
CREATE CKJLEMPID.sql 526 Bytes 12/09/2022 Tri Rizqgiaty
